## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JTrapNotifier.Snmp4JV2TrapInformation

    java.lang.Object
      org.opennms.netmgt.snmp.TrapInformation
          org.opennms.netmgt.snmp.snmp4j.Snmp4JTrapNotifier.Snmp4JV2TrapInformation

All Implemented Interfaces:
  org.opennms.netmgt.snmp.TrapNotification

Enclosing class:
  Snmp4JTrapNotifier

    public static class Snmp4JTrapNotifier.Snmp4JV2TrapInformation

extends org.opennms.netmgt.snmp.TrapInformation

Constructor Summary
`Snmp4JTrapNotifier.Snmp4JV2TrapInformation(java.net.InetAddress agent, java.lang.String community, org.snmp4j.PDU pdu, org.opennms.netmgt.snmp.TrapProcessor trapProcessor)` Constructs a new trap information instance that contains the sending agent, the community string, and the Protocol Data Unit.

Method Summary
`protected int` `getPduLength()`
`protected long` `getTimeStamp()`
`java.net.InetAddress` `getTrapAddress()`
`protected org.opennms.netmgt.snmp.TrapIdentity` `getTrapIdentity()`
`protected org.snmp4j.smi.VariableBinding` `getVarBindAt(int index)`
`protected java.lang.String` `getVersion()`
`protected void` `processVarBindAt(int i)`
`protected void` `validate()`

Methods inherited from class org.opennms.netmgt.snmp.TrapInformation
`getAgent, getAgentAddress, getCommunity, getTrapProcessor, log, processTrap, processVarBind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JTrapNotifier.Snmp4JV2TrapInformation

    public Snmp4JTrapNotifier.Snmp4JV2TrapInformation(java.net.InetAddress agent,
                                                      java.lang.String community,
                                                      org.snmp4j.PDU pdu,
                                                      org.opennms.netmgt.snmp.TrapProcessor trapProcessor)

  Constructs a new trap information instance that contains the sending agent, the community string, and the Protocol Data Unit.

  Parameters:
    `agent` - The sending agent's address
    `community` - The community string from the SNMP packet.
    `pdu` - The encapsulated Protocol Data Unit.
    `trapProcessor` - The trap processor used to process the trap data

Method Detail

### getPduLength

    protected int getPduLength()

  Specified by:
    `getPduLength` in class `org.opennms.netmgt.snmp.TrapInformation`

### getTimeStamp

    protected long getTimeStamp()

  Specified by:
    `getTimeStamp` in class `org.opennms.netmgt.snmp.TrapInformation`

### getTrapIdentity

    protected org.opennms.netmgt.snmp.TrapIdentity getTrapIdentity()

  Specified by:
    `getTrapIdentity` in class `org.opennms.netmgt.snmp.TrapInformation`

### getTrapAddress

    public java.net.InetAddress getTrapAddress()

  Specified by:
    `getTrapAddress` in class `org.opennms.netmgt.snmp.TrapInformation`

### getVarBindAt

    protected org.snmp4j.smi.VariableBinding getVarBindAt(int index)

### getVersion

    protected java.lang.String getVersion()

  Specified by:
    `getVersion` in class `org.opennms.netmgt.snmp.TrapInformation`

### validate

    protected void validate()

  Overrides:
    `validate` in class `org.opennms.netmgt.snmp.TrapInformation`

### processVarBindAt

    protected void processVarBindAt(int i)

  Specified by:
    `processVarBindAt` in class `org.opennms.netmgt.snmp.TrapInformation`

Copyright © 2009. All Rights Reserved.